syb-0.6: Scrap Your Boilerplate

Copyright | (c) The University of Glasgow, CWI 2001--2003
License | BSD-style (see the LICENSE file)
Maintainer | generics@haskell.org
Stability | experimental
Portability | non-portable (uses Data.Generics.Basics)
Safe Haskell | Safe
Language | Haskell98

Data.Generics.Text

Contents

- Generic show
- Generic read

Description

"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.uu.nl/wiki/GenericProgramming/SYB. The present module provides generic operations for text serialisation of terms.

Synopsis

- gshow :: Data a => a -> String
- gshows :: Data a => a -> ShowS
- gread :: Data a => ReadS a

# Generic show

gshow :: Data a => a -> String

Generic show: an alternative to "deriving Show"

gshows :: Data a => a -> ShowS

Generic shows

# Generic read

gread :: Data a => ReadS a

Generic read: an alternative to "deriving Read"